Get user registration state
curl --request GET \
--url https://studio.edgeimpulse.com/v1/api-user-need-to-set-password/{usernameOrEmail}import requests
url = "https://studio.edgeimpulse.com/v1/api-user-need-to-set-password/{usernameOrEmail}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://studio.edgeimpulse.com/v1/api-user-need-to-set-password/{usernameOrEmail}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"error": "<string>",
"email": "<string>",
"needPassword": true,
"whitelabels": [
"<string>"
],
"trials": [
{
"id": 123,
"userId": 123,
"organizationId": 123,
"created": "2023-11-07T05:31:56Z",
"expirationDate": "2020-01-01T00:00:00Z",
"expiredDate": "2023-11-07T05:31:56Z",
"deletedDate": "2023-11-07T05:31:56Z",
"upgradedDate": "2023-11-07T05:31:56Z",
"notes": "This is a trial for the company's new project."
}
],
"emailVerified": true,
"idps": [
"okta",
"google"
]
}Get user registration state
Tells whether a user is registered and whether it needs to set its password.
GET
/
api-user-need-to-set-password
/
{usernameOrEmail}
Get user registration state
Path Parameters
Username or email
Response
200 - application/json
OK
Whether the operation succeeded
Optional error description (set if 'success' was false)
User email
Whether the user needs to set its password or not
White label domains the user belongs to, if any
Current or past enterprise trials.
Show child attributes
Show child attributes
Whether the user has verified its email address or not
List of unique identifiers for identity providers associated with the user.
Example:
["okta", "google"]
Was this page helpful?
⌘I